##
## THIS FILE IS UNDER PUPPET CONTROL. DON'T EDIT IT HERE.
## USE: git clone git+ssh://$USER@puppet.debian.org/srv/puppet.debian.org/git/dsa-puppet.git
##

[main]
logdir=/var/log/puppet
vardir=/var/lib/puppet
ssldir=/var/lib/puppet/ssl
rundir=/var/run/puppet
factpath=$vardir/lib/facter
# This is the default environment for all clients
environment=<%= @server_facts['environment'] %>
<%- if has_variable?("puppetversion") and (scope.call_function('versioncmp', [@puppetversion.to_s, '4.4.0']) < 0) -%>
pluginsync=true
<%- end -%>

<% if classes.include?('puppetmaster') -%>
[master]
environmentpath=/srv/puppet.debian.org/environment
cadir  = /etc/puppet/puppetserver/ca
storeconfigs = true
storeconfigs_backend = puppetdb
<%- end -%>

[agent]
report = true
<%- if has_variable?("puppetversion") and (scope.call_function('versioncmp', [@puppetversion.to_s, '4.1.0']) >= 0) -%>
http_connect_timeout = 20
http_read_timeout = 360
<%- else -%>
configtimeout = 240
<%- end -%>
<%- if has_variable?("puppetversion") and @puppetversion.to_s == "3.7.2" -%>
stringify_facts = false
<%- end -%>
<%- if has_variable?("etckeeper") && @etckeeper -%>
prerun_command = /etc/puppet/etckeeper-commit-pre
postrun_command = /etc/puppet/etckeeper-commit-post
<%- end -%>
<%- if has_variable?("puppetversion") and (scope.call_function('versioncmp', [@puppetversion.to_s, '7']) >= 0) -%>
number_of_facts_soft_limit = 8192
# Puppet 8 reverting to Puppet 7 fact behavior.
include_legacy_facts = true
<%- end -%>
